<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.cf.imes</groupId>
        <artifactId>cf-module-prod-manage</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>cf-module-prod-manage-biz</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <!-- Spring Cloud 基础 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
        </dependency>

        <!-- 依赖服务 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-module-prod-manage-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-banner</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-operatelog</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-organ</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-error-code</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-security</artifactId>
        </dependency>


        <!-- DB 相关 -->
        <!--  <dependency>
              <groupId>org.apache.shardingsphere</groupId>
              <artifactId>sharding-jdbc-spring-boot-starter</artifactId>
              <version>4.1.0</version>
          </dependency>
  -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-rpc</artifactId>
        </dependency>

        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>


        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.smallbun.screw</groupId>
            <artifactId>screw-core</artifactId> <!-- 实现数据库文档 -->
        </dependency>

        <!-- 监控相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-monitor</artifactId>
        </dependency>

        <dependency>
            <groupId>de.codecentric</groupId>
            <artifactId>spring-boot-admin-starter-server</artifactId> <!-- 实现 Spring Boot Admin Server 服务端 -->
        </dependency>

        <!-- 三方云服务相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-file</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-data-permission</artifactId>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-excel</artifactId>
        </dependency>


        <!--  pagehelper分页插件-->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper</artifactId>
            <version>6.1.0</version>
            <exclusions>
                <exclusion>
                    <groupId>com.github.jsqlparser</groupId>
                    <artifactId>jsqlparser</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>sqlparser4.5</artifactId>
            <version>6.1.0</version>
        </dependency>



        <!-- https://mvnrepository.com/artifact/com.jacob/jacob -->
        <dependency>
            <groupId>com.hynnet</groupId>
            <artifactId>jacob</artifactId>
            <version>1.18</version>
        </dependency>


        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.8</version> <!-- 使用最新版本 -->
        </dependency>




    </dependencies>

    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <!-- 打包 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal> <!-- 将引入的 jar 打入其中 -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>${maven.dependency.plugin.version}</version>
                <executions>
                    <execution>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <!-- 将依赖放到target/lib目录下 -->
                            <outputDirectory>target/lib</outputDirectory>
                            <!-- 排除自身的代码包-->
                            <excludeGroupIds>com.cf.imes</excludeGroupIds>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>${maven.assembly.plugin.version}</version>
                <configuration>
                    <appendAssemblyId>false</appendAssemblyId>
                    <descriptors>
                        <!--指定assembly配置文件位置-->
                        <descriptor>src/main/build/assembly.xml</descriptor>
                    </descriptors>
                </configuration>
                <executions>
                    <execution>
                        <id>bundle</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>